<?php
namespace Bushelpowered\Api\Iam\Access\Common\V1;
        
class RoleBinding implements \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\HasResource
{
    public \Bushelpowered\Api\Iam\Access\Common\V1\Subjectable $subject;
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1\RoleRef[] $roles */
    public array $roles;
    public \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ResourceRef $resource;

    /**
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1\RoleRef[]  $roles
     */
    public function __construct(\Bushelpowered\Api\Iam\Access\Common\V1\Subjectable $subject, array $roles, \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ResourceRef $resource)
    {
        $this->subject = $subject;
        $this->roles = $roles;
        $this->resource = $resource;
    }
    
    public function getResource(): \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ResourceRef
    {
        return $this->resource;
    }
}