<?php
namespace Bushelpowered\Api\Platform\Authorization\V1\Request;
        
class SyncUserAccountRequest 
{
    public string $userIdpId;
    public string $idpSlug;
    public ?string $bushelId = null;
    public string $companySlug;
    public string $sourceAccountId;
    public ?string $sourceAccountName = null;
    public ?int $deletedAt = null;

    /**
     */
    public function __construct(string $userIdpId, string $idpSlug, ?string $bushelId, string $companySlug, string $sourceAccountId, ?string $sourceAccountName, ?int $deletedAt)
    {
        $this->userIdpId = $userIdpId;
        $this->idpSlug = $idpSlug;
        $this->bushelId = $bushelId;
        $this->companySlug = $companySlug;
        $this->sourceAccountId = $sourceAccountId;
        $this->sourceAccountName = $sourceAccountName;
        $this->deletedAt = $deletedAt;
    }
    

}