<?php
namespace Bushelpowered\Api\Platform\Tenant\V1\Request;
        
class GetAllDatasourcesRequest 
{
    /** @var string[]|null $ids */
    public ?array $ids = null;
    /** @var string[]|null $slugs */
    public ?array $slugs = null;
    /** @var string[]|null $tenantIds */
    public ?array $tenantIds = null;
    /** @var string[]|null $erpTypes */
    public ?array $erpTypes = null;
    /** @var string[]|null $dataIngestionTypes */
    public ?array $dataIngestionTypes = null;
    public ?string $comments = null;

    /**
     * @param  string[]|null  $ids
     * @param  string[]|null  $slugs
     * @param  string[]|null  $tenantIds
     * @param  string[]|null  $erpTypes
     * @param  string[]|null  $dataIngestionTypes
     */
    public function __construct(?array $ids, ?array $slugs, ?array $tenantIds, ?array $erpTypes, ?array $dataIngestionTypes, ?string $comments)
    {
        $this->ids = $ids;
        $this->slugs = $slugs;
        $this->tenantIds = $tenantIds;
        $this->erpTypes = $erpTypes;
        $this->dataIngestionTypes = $dataIngestionTypes;
        $this->comments = $comments;
    }
    

}