<?php
namespace Bushelpowered\Api\Reporting\Tickets\V1\Response;
        
class TicketsGradeFactorResponse implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp, \Bushelpowered\Api\Common\HasUpdatedAtTimestamp
{
    public string $id;
    public string $gradeName;
    public string $displayName;
    public int $displayOrder;
    public int $createdAt;
    public int $updatedAt;

    /**
     */
    public function __construct(string $id, string $gradeName, string $displayName, int $displayOrder, int $createdAt, int $updatedAt)
    {
        $this->id = $id;
        $this->gradeName = $gradeName;
        $this->displayName = $displayName;
        $this->displayOrder = $displayOrder;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    
    public function getCreatedAt(): int
    {
        return $this->createdAt;
    }
    public function getUpdatedAt(): int
    {
        return $this->updatedAt;
    }
}