<?php
namespace Bushelpowered\Api\Fulfillment\Recipient\V1\Response;
        
class RecipientResponse implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp, \Bushelpowered\Api\Common\HasUpdatedAtTimestamp
{
    public string $id;
    public string $name;
    public string $email;
    public string $phoneNumber;
    public bool $enableEmail;
    public bool $enablePhoneNumber;
    public int $createdAt;
    public int $updatedAt;

    /**
     */
    public function __construct(string $id, string $name, string $email, string $phoneNumber, bool $enableEmail, bool $enablePhoneNumber, int $createdAt, int $updatedAt)
    {
        $this->id = $id;
        $this->name = $name;
        $this->email = $email;
        $this->phoneNumber = $phoneNumber;
        $this->enableEmail = $enableEmail;
        $this->enablePhoneNumber = $enablePhoneNumber;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    
    public function getCreatedAt(): int
    {
        return $this->createdAt;
    }
    public function getUpdatedAt(): int
    {
        return $this->updatedAt;
    }
}