<?php
namespace Bushelpowered\Api\Fulfillment\Ticket\V1\Response;
        
class ExceededThresholdResponse implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp, \Bushelpowered\Api\Common\HasUpdatedAtTimestamp
{
    public string $thresholdId;
    public string $remarkCode;
    public float $thresholdValue;
    public float $remarkValue;
    public int $createdAt;
    public int $updatedAt;

    /**
     */
    public function __construct(string $thresholdId, string $remarkCode, float $thresholdValue, float $remarkValue, int $createdAt, int $updatedAt)
    {
        $this->thresholdId = $thresholdId;
        $this->remarkCode = $remarkCode;
        $this->thresholdValue = $thresholdValue;
        $this->remarkValue = $remarkValue;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    
    public function getCreatedAt(): int
    {
        return $this->createdAt;
    }
    public function getUpdatedAt(): int
    {
        return $this->updatedAt;
    }
}