<?php
namespace Bushelpowered\Api\Iam\Access\Manage\V1\Response;
        
class SubjectGroupMembersResponse implements \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\HasOptionalResultWindow
{
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1\Subjectable[] $data */
    public array $data;
    public ?\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken $resultWindow = null;

    /**
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1\Subjectable[]  $data
     */
    public function __construct(array $data, ?\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken $resultWindow)
    {
        $this->data = $data;
        $this->resultWindow = $resultWindow;
    }
    
    public function getResultWindow(): ?\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken
    {
        return $this->resultWindow;
    }
}