<?php
namespace Bushelpowered\Api\Iam\Access\Manage\V1\Response;
        
class TenantConfigurationResponse implements \Bushelpowered\Api\Common\HasTimestamps
{
    public string $tenantId;
    public \Bushelpowered\Api\Iam\Access\Manage\V1\Response\TenantRoleMappingConfiguration $roleMappings;
    public int $createdAt;
    public int $updatedAt;
    public ?int $deletedAt = null;

    /**
     */
    public function __construct(string $tenantId, \Bushelpowered\Api\Iam\Access\Manage\V1\Response\TenantRoleMappingConfiguration $roleMappings, int $createdAt, int $updatedAt, ?int $deletedAt)
    {
        $this->tenantId = $tenantId;
        $this->roleMappings = $roleMappings;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
        $this->deletedAt = $deletedAt;
    }
    
    public function getCreatedAt(): int
    {
        return $this->createdAt;
    }
    public function getUpdatedAt(): int
    {
        return $this->updatedAt;
    }
    public function getDeletedAt(): ?int
    {
        return $this->deletedAt;
    }
}