<?php
namespace Bushelpowered\Api\Platform\Branding\V1\Response;
        
class FlavorResponse implements \Bushelpowered\Api\Common\HasTimestamps
{
    public string $id;
    public string $fullName;
    public string $shortName;
    public string $slug;
    public int $createdAt;
    public int $updatedAt;
    public ?int $deletedAt = null;

    /**
     */
    public function __construct(string $id, string $fullName, string $shortName, string $slug, int $createdAt, int $updatedAt, ?int $deletedAt)
    {
        $this->id = $id;
        $this->fullName = $fullName;
        $this->shortName = $shortName;
        $this->slug = $slug;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
        $this->deletedAt = $deletedAt;
    }
    
    public function getCreatedAt(): int
    {
        return $this->createdAt;
    }
    public function getUpdatedAt(): int
    {
        return $this->updatedAt;
    }
    public function getDeletedAt(): ?int
    {
        return $this->deletedAt;
    }
}