<?php
namespace Bushelpowered\Api\Platform\Tenant\V1\Model;
        
class TenantStandard implements \Bushelpowered\Api\Common\HasTimestamps
{
    public string $id;
    public string $name;
    public int $createdAt;
    public int $updatedAt;
    public ?int $deletedAt = null;

    /**
     */
    public function __construct(string $id, string $name, int $createdAt, int $updatedAt, ?int $deletedAt)
    {
        $this->id = $id;
        $this->name = $name;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
        $this->deletedAt = $deletedAt;
    }
    
    public function getCreatedAt(): int
    {
        return $this->createdAt;
    }
    public function getUpdatedAt(): int
    {
        return $this->updatedAt;
    }
    public function getDeletedAt(): ?int
    {
        return $this->deletedAt;
    }
}