<?php
namespace Bushelpowered\Api\Trade\Offers\V1\Model;
        
class ESignStandard implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp
{
    public string $remoteId;
    public string $contractId;
    public string $email;
    public string $message;
    public string $subject;
    public string $title;
    public bool $hasError;
    public bool $isTest;
    public ?int $archivedAt = null;
    public ?int $completedAt = null;
    public ?int $declinedAt = null;
    public ?int $pendingAt = null;
    public ?int $invalidAt = null;
    public int $createdAt;

    /**
     */
    public function __construct(string $remoteId, string $contractId, string $email, string $message, string $subject, string $title, bool $hasError, bool $isTest, ?int $archivedAt, ?int $completedAt, ?int $declinedAt, ?int $pendingAt, ?int $invalidAt, int $createdAt)
    {
        $this->remoteId = $remoteId;
        $this->contractId = $contractId;
        $this->email = $email;
        $this->message = $message;
        $this->subject = $subject;
        $this->title = $title;
        $this->hasError = $hasError;
        $this->isTest = $isTest;
        $this->archivedAt = $archivedAt;
        $this->completedAt = $completedAt;
        $this->declinedAt = $declinedAt;
        $this->pendingAt = $pendingAt;
        $this->invalidAt = $invalidAt;
        $this->createdAt = $createdAt;
    }
    
    public function getCreatedAt(): int
    {
        return $this->createdAt;
    }
}