<?php
namespace Bushelpowered\Api\Trade\Offers\V1\Response;
        
class OrderFilledResponse implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp, \Bushelpowered\Api\Common\HasUpdatedAtTimestamp
{
    public string $contractId;
    public int $createdAt;
    public int $updatedAt;

    /**
     */
    public function __construct(string $contractId, int $createdAt, int $updatedAt)
    {
        $this->contractId = $contractId;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    
    public function getCreatedAt(): int
    {
        return $this->createdAt;
    }
    public function getUpdatedAt(): int
    {
        return $this->updatedAt;
    }
}